Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## APStudio
Class APContextMenuProvider

    java.lang.Object
      |
      +--org.eclipse.jface.action.ContributionManager
            |
            +--org.eclipse.jface.action.MenuManager
                  |
                  +--org.eclipse.gef.ContextMenuProvider
                        |
                        +--APStudio.APContextMenuProvider

All Implemented Interfaces:
  org.eclipse.jface.action.IContributionItem, org.eclipse.jface.action.IContributionManager, org.eclipse.jface.action.IMenuListener, org.eclipse.jface.action.IMenuManager

public class APContextMenuProvider
extends org.eclipse.gef.ContextMenuProvider

Constructor Summary
`APContextMenuProvider(org.eclipse.gef.EditPartViewer viewer, org.eclipse.gef.ui.actions.ActionRegistry registry)`

Method Summary
`void` | `buildContextMenu(org.eclipse.jface.action.IMenuManager manager)`

Methods inherited from class org.eclipse.gef.ContextMenuProvider
`menuAboutToShow`

Methods inherited from class org.eclipse.jface.action.MenuManager
`addMenuListener, createContextMenu, createMenuBar, createMenuBar, dispose, fill, fill, fill, findMenuUsingPath, findUsingPath, getId, getMenu, getMenuText, getOverrides, getParent, getRemoveAllWhenShown, isDynamic, isEnabled, isGroupMarker, isSeparator, isSubstituteFor, isVisible, removeMenuListener, setOverrides, setParent, setRemoveAllWhenShown, setVisible, update, update, update, updateAll`

Methods inherited from class org.eclipse.jface.action.ContributionManager
`add, add, appendToGroup, appendToGroup, find, getItems, indexOf, insert, insertAfter, insertAfter, insertBefore, insertBefore, isDirty, isEmpty, markDirty, prependToGroup, prependToGroup, remove, remove, removeAll`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IContributionManager
`add, add, appendToGroup, appendToGroup, find, getItems, insertAfter, insertAfter, insertBefore, insertBefore, isDirty, isEmpty, markDirty, prependToGroup, prependToGroup, remove, remove, removeAll`

Methods inherited from interface org.eclipse.jface.action.IContributionItem
`isDirty`

Constructor Detail

### APContextMenuProvider

    public APContextMenuProvider(org.eclipse.gef.EditPartViewer viewer,
                                 org.eclipse.gef.ui.actions.ActionRegistry registry)

Method Detail

### buildContextMenu

    public void buildContextMenu(org.eclipse.jface.action.IMenuManager manager)

  Specified by:
    `buildContextMenu` in class `org.eclipse.gef.ContextMenuProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD